<?
maxspeed_template_check_tagname();


// Example -- Load
$sample_tpl = maxspeed_template_load("sample.html");
$attach_tpl = maxspeed_template_load("sample_attach.html", "news_body->news_main");


// Example -- Assign
maxspeed_template_assign_array($sample_tpl,
  array("encode" => "Shift_JIS",
        "title" => "PHP_MaxSpeed Sample"));


// Example -- Fetch
maxspeed_template_fetch($sample_tpl, "yes_block*", 0);


// Example -- Attach
maxspeed_template_attach($sample_tpl, "news_attach", $attach_tpl);
$news_block = maxspeed_template_fetch($sample_tpl, "news_attach");
maxspeed_template_assign($news_block, "title", "Wether news");
maxspeed_template_assign($news_block, "content", "Centigrade 27 degrees Fine");


// Example -- FetchAssignArray
$sel = array(array("A", "Apple"), array("B", "Blue"));
for ($i = 0; $i<count($sel); $i++) {
  list($tmp_sel_val, $tmp_sel_name) = $sel[$i];
  $tmp_selelected = "";
  if ($tmp_sel_val == $sel_val) $tmp_selelected = "selected";
  maxspeed_template_fetch_assign_array($sample_tpl, "sel_block*", $i,
    array("sel_val" => $tmp_sel_val,
          "sel_name" => $tmp_sel_name,
          "sel_selected" => $tmp_selelected));
}


// Example -- FetchAssignArray
for ($row = 0; $row < 3; $row++) {
  $t_row = &maxspeed_template_fetch($sample_tpl, "matrix_row*", $row);
  for ($col = 0; $col < 5; $col++) {
    maxspeed_template_fetch_assign_array($t_row, "matrix_col*", $col,
      array("row_no" => "$row",
            "col_no" => "$col",
            "cell_val" => $row * $col));
  }
}


maxspeed_template_print($sample_tpl);
?>
